Subject: Re: Realtek r8168 hangs when sending data at full speed on a gigabit link

From: Frédéric Leroy <[email-masked]>
Date: Mon, 02 Sep 2013 11:46:42 +0200

Hello Francois,

Le 01/09/2013 23:36, Francois Romieu a écrit :
> Frédéric Leroy <[email-masked]> :
> [...]
> > For triggering the bug, I use iperf, which either works, or hangs almost
> > immediately
> > with multiple threads :
> > 
> >         iperf -c myiperfserver -P 3 -t 60
> > 
> > Could you help me to fix this ?
>
> Does it behave the same if you don't load the vbox modules at all ?
>

When I don't load the vbox modules, it behaves the same.

I forget to say that with an unique tcp stream, it hangs after a longer
time.
I took one capture of a hanged tcp stream.
You can find it there : http://www.starox.org/pub/linux/r8169/

Regards,

-- 
Frédéric Leroy